Page MenuHomeVyOS Platform

SNMPv3 TSM is no longer supported by net-snmp
Resolved (N/A)PublicBUG

Description

While rewriting the SNMPv3 components as XML/Python I stumbled upon this while testing:

Setting in SNMPv3 set service snmp v3 tsm local-key '01:23:45:67:AF:AB:AF:FE:44:44:44:44:55:66:77:88:99:00:22:22' results in:

Jun  3 19:26:27 LR2 snmpd[7144]: /etc/snmp/snmpd.conf: line 22: Warning: Unknown token: localCert.
Jun  3 19:26:27 LR2 snmpd[7144]: /etc/snmp/snmpd.conf: line 32: Error: snmpd: failed to parse this line.
Jun  3 19:26:27 LR2 snmpd[7144]: net-snmp: 1 error(s) in config file(s)
Jun  3 19:26:27 LR2 snmpd[7144]: getaddrinfo: tlstcp Temporary failure in name resolution
Jun  3 19:26:27 LR2 snmpd[7144]: getaddrinfo("tlstcp", NULL, ...): Temporary failure in name resolution
Jun  3 19:26:27 LR2 snmpd[7144]: Error opening specified endpoint "tlstcp:10161"
Jun  3 19:26:27 LR2 snmpd[7144]: Server Exiting with code 1

Details

Difficulty level
Unknown (require assessment)
Version
1.2.0-rolling+201806010337
Why the issue appeared?
Issues in third-party code
Is it a breaking change?
Config syntax change (migratable)
Issue type
Feature/functionality removal

Related Objects

StatusSubtypeAssignedTask
ResolvedFEATURE REQUESTc-po
Resolved N/ABUGNone

Event Timeline

Interesting. Perhaps the config format has changed in newer versions? What do the docs say?

syncer triaged this task as Normal priority.Jun 10 2018, 2:27 AM

The syntax was changed. VyOS 1.3-rolling-202007270117
I don't find "tsm" option

[email protected]# set service snmp v3 
Possible completions:
   engineid     Specifies the EngineID that uniquely identify an agent (e.g. 000000000000000000000002)
+> group        Specifies the group with name groupname
+> trap-target  Defines SNMP target for inform or traps for IP
+> user         Specifies the user with name username
+> view         Specifies the view with name viewname

TSM support has been droppen in 1.3

c-po set Is it a breaking change? to Unspecified (possibly destroys the router).
dmbaturin set Issue type to Bug (incorrect behavior).Sep 3 2021, 11:51 AM
dmbaturin renamed this task from SNMPv3 tsm Warning: Unknown token: localCert to SNMPv3 TSM is no longer supported by net-snmp.Sep 3 2021, 11:58 AM
dmbaturin changed Why the issue appeared? from Will be filled on close to Issues in third-party code.
dmbaturin changed Is it a breaking change? from Unspecified (possibly destroys the router) to Config syntax change (migratable).
dmbaturin changed Issue type from Bug (incorrect behavior) to Unspecified (please specify).
dmbaturin changed Issue type from Unspecified (please specify) to Feature/functionality removal.Sep 3 2021, 12:00 PM
dmbaturin changed the task status from Wontfix to Resolved N/A.Sep 29 2021, 2:07 PM